MDKSA-2005:138-1 - Updated cups packages fix vulnerability
Posted on: 09/19/2005 06:32 PM

The Mandriva Security Team published a new security update: MDKSA-2005:138-1 - Updated cups packages fix vulnerability for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Update Advisory
_______________________________________________________________________

Package name: cups
Advisory ID: MDKSA-2005:138-1
Date: September 19th, 2005
Original Advisory Date: August 11th, 2005
Affected versions: 10.1
______________________________________________________________________

Problem Description:

A vulnerability was discovered in the CUPS printing package where
when processing a PDF file, bounds checking was not correctly
performed on some fields. As a result, this could cause the pdtops
filter to crash.

Update:

The patch to correct this problem was not properly applied to the
Mandriva 10.1 packages. This update properly patches the packages.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?nameƊN-2005-2097
______________________________________________________________________

Updated Packages:

Mandrakelinux 10.1:
29de9c1bdc9c9f3a3b410f4ca28b1fb2 10.1/RPMS/cups-1.1.21-0.rc1.7.7.101mdk.i586.rpm
9a6d74c99272dbf90868c1053499c0da 10.1/RPMS/cups-common-1.1.21-0.rc1.7.7.101mdk.i586.rpm
cef4a3e8fc30d6b7656c1edf71c7b40e 10.1/RPMS/cups-serial-1.1.21-0.rc1.7.7.101mdk.i586.rpm
e6dd9484b3656447f6e89906081a88d2 10.1/RPMS/libcups2-1.1.21-0.rc1.7.7.101mdk.i586.rpm
91e2fbf59ba9902d02fc2ca1ab834b5e 10.1/RPMS/libcups2-devel-1.1.21-0.rc1.7.7.101mdk.i586.rpm
4bddcc3a18cbbd4d373d4e812c84e8a5 10.1/SRPMS/cups-1.1.21-0.rc1.7.7.101mdk.src.rpm

Mandrakelinux 10.1/X86_64:
680cba4f70d11a3c3d9bba59991ae11f x86_64/10.1/RPMS/cups-1.1.21-0.rc1.7.7.101mdk.x86_64.rpm
023b15027bf8e4bad718812e5cf582cf x86_64/10.1/RPMS/cups-common-1.1.21-0.rc1.7.7.101mdk.x86_64.rpm
faeeea5056c23e7f9689affe703f47c0 x86_64/10.1/RPMS/cups-serial-1.1.21-0.rc1.7.7.101mdk.x86_64.rpm
91cb33683bfe1e13d590a6a4c9834b5e x86_64/10.1/RPMS/lib64cups2-1.1.21-0.rc1.7.7.101mdk.x86_64.rpm
c8d6a05f2fa39aff581224d5f53417ae x86_64/10.1/RPMS/lib64cups2-devel-1.1.21-0.rc1.7.7.101mdk.x86_64.rpm
e6dd9484b3656447f6e89906081a88d2 x86_64/10.1/RPMS/libcups2-1.1.21-0.rc1.7.7.101mdk.i586.rpm
4bddcc3a18cbbd4d373d4e812c84e8a5 x86_64/10.1/SRPMS/cups-1.1.21-0.rc1.7.7.101mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrakeUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFDL1fPmqjQ0CJFipgRApexAJ40ISBicb2Jk/CKZZOOSA0cvFS6cwCg8Jwu
BnqrzDuwEiAFAROgAVwddl4=
=ZpuR
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/_mdksa_2005138_1__updated_cups_packages_fix__vulnerability.html)